## r-cran-thematic 0.1.2.1

=== DESCRIPTION ===
Package: thematic
Title: Unified and Automatic 'Theming' of 'ggplot2', 'lattice', and
        'base' R Graphics
Version: 0.1.2.1
Authors@R: c(
  person("Carson", "Sievert", role = c("aut", "cre"), email = "carson@rstudio.com", comment = c(ORCID = "0000-0002-4958-2844")),
  person("Barret", "Schloerke", email = "barret@rstudio.com", role = "aut", comment = c(ORCID = "0000-0001-9986-114X")),
  person("Joe", "Cheng", role = "aut", email = "joe@rstudio.com"),
  person(family = "RStudio", role = "cph")
  )
Description: 
  Theme 'ggplot2', 'lattice', and 'base' graphics based on a few choices, including foreground color, background color, accent color,
  and font family. Fonts that aren't available on the system, but are available via download on 'Google Fonts',
  can be automatically downloaded, cached, and registered for use with the 'showtext' and 'ragg' packages.
URL: https://rstudio.github.io/thematic/,
        https://github.com/rstudio/thematic#readme
Depends: R (>= 3.0.0)
Imports: utils, graphics, grDevices, grid, farver, rlang, scales,
        rstudioapi (>= 0.8), rappdirs, ggplot2 (>= 3.3.0)
Suggests: lattice, stats, withr, sysfonts, showtext, Cairo,
        systemfonts, ragg, knitr, rmarkdown, htmltools, shiny (>=
        1.5.0), bslib, testthat, gganimate, vdiffr (>= 1.0.0), svglite,
        jsonlite, curl
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.1.1
Collate: 'auto.R' 'base.R' 'cache.R' 'gfonts.R' 'ggplot.R' 'globals.R'
        'hooks.R' 'imports.R' 'knitr.R' 'lattice.R' 'onLoad.R'
        'thematic-save-plot.R' 'thematic.R' 'utils.R'
        'view-shinytest.R'
NeedsCompilation: no
Packaged: 2021-06-09 21:16:17 UTC; cpsievert
Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
  Barret Schloerke [aut] (<https://orcid.org/0000-0001-9986-114X>),
  Joe Cheng [aut],
  RStudio [cph]
Maintainer: Carson Sievert <carson@rstudio.com>
Repository: CRAN
Date/Publication: 2021-06-09 21:50:02 UTC

=== debian/changelog ===
r-cran-thematic (0.1.2.1-3) unstable; urgency=medium

  * Team upload.
  * Re-build with new R 4.2.0-1
  * Change versioned dep on ggplot2 to ease migration
  * Version test deps to ease migration

 -- Nilesh Patra <nilesh@debian.org>  Mon, 02 May 2022 09:43:30 +0530

r-cran-thematic (0.1.2.1-2) unstable; urgency=medium

  * Packaging update

 -- Andreas Tille <tille@debian.org>  Fri, 03 Dec 2021 16:34:15 +0100

r-cran-thematic (0.1.2.1-1) unstable; urgency=medium

  * Initial release (closes: #998630)

 -- Andreas Tille <tille@debian.org>  Fri, 05 Nov 2021 11:33:00 +0100

=== debian/control ===
Source: r-cran-thematic
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-farver,
               r-cran-rlang,
               r-cran-scales,
               r-cran-rstudioapi,
               r-cran-rappdirs,
               r-cran-ggplot2 (>= 3.3.0)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-thematic
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-thematic.git
Homepage: https://cran.r-project.org/package=thematic
Rules-Requires-Root: no

Package: r-cran-thematic
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-cran-ggplot2 (>= 3.3.5+dfsg-5~)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: unified and automatic theming for GNU R
 This package provides unified and automatic 'Theming' of 'ggplot2',
 'lattice', and 'base' R Graphics Theme 'ggplot2', 'lattice', and 'base'
 graphics based on a few choices, including foreground color, background
 color, accent color, and font family. Fonts that aren't available on the
 system, but are available via download on 'Google Fonts', can be
 automatically downloaded, cached, and registered for use with the
 'showtext' and 'ragg' packages.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-lattice,
#         r-cran-stats,
         r-cran-withr,
#         r-cran-sysfonts,
#         r-cran-showtext,
         r-cran-cairo (>= 1.5-15-3~),
         r-cran-systemfonts,
         r-cran-ragg,
         r-cran-knitr,
         r-cran-rmarkdown,
         r-cran-htmltools,
         r-cran-shiny,
#         r-cran-bslib,
         r-cran-testthat,
         r-cran-gganimate,
         r-cran-vdiffr (>= 1.0.4-2~),
         r-cran-svglite (>= 2.1.0-3~),
         r-cran-jsonlite,
         r-cran-curl
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/thematic_([-\d.]*)\.tar\.gz

## r-cran-thematic 0.1.3

=== debian/changelog ===
r-cran-thematic (0.1.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 22 Aug 2023 11:49:34 +0200

r-cran-thematic (0.1.2.1-4) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039671
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 10:36:28 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-lattice,
        r-cran-withr,
        r-cran-cairo,
        r-cran-systemfonts,
        r-cran-ragg,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-htmltools,
        r-cran-shiny (>= 1.5.0),
        r-cran-bslib,
        r-cran-testthat,
        r-cran-gganimate,
        r-cran-vdiffr (>= 1.0.0),
        r-cran-svglite,
        r-cran-jsonlite,
        r-cran-curl
Restrictions: allow-stderr

## r-cran-thematic 0.1.4

=== DESCRIPTION ===
Package: thematic
Title: Unified and Automatic 'Theming' of 'ggplot2', 'lattice', and
        'base' R Graphics
Version: 0.1.4
Authors@R: c(
    person("Carson", "Sievert", , "carson@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-4958-2844")),
    person("Barret", "Schloerke", , "barret@posit.co", role = "aut",
           comment = c(ORCID = "0000-0001-9986-114X")),
    person("Joe", "Cheng", , "joe@posit.co", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Theme 'ggplot2', 'lattice', and 'base' graphics based on a
    few choices, including foreground color, background color, accent
    color, and font family. Fonts that aren't available on the system, but
    are available via download on 'Google Fonts', can be automatically
    downloaded, cached, and registered for use with the 'showtext' and
    'ragg' packages.
License: MIT + file LICENSE
URL: https://rstudio.github.io/thematic/,
        https://github.com/rstudio/thematic
BugReports: https://github.com/rstudio/thematic/issues
Depends: R (>= 3.0.0)
Imports: farver, ggplot2 (>= 3.3.0), graphics, grDevices, grid,
        rappdirs, rlang, rstudioapi (>= 0.8), scales, utils
Suggests: bslib, Cairo, curl, gganimate, ggiraph, htmltools, httpgd,
        jsonlite, knitr, lattice, ragg, rmarkdown, shiny (>= 1.5.0),
        showtext, stats, svglite, sysfonts, systemfonts, testthat,
        vdiffr (>= 1.0.0), withr
Config/Needs/check: shinytest, callr, sf, ggthemes, patchwork,
        gridExtra, tinytex, devtools, rversions
Config/Needs/routine: ggrepel
Config/Needs/website: GGally, RColorBrewer, patchwork, apreshill/quillt
Encoding: UTF-8
RoxygenNote: 7.2.3
Collate: 'auto.R' 'base.R' 'cache.R' 'gfonts.R' 'ggplot.R' 'globals.R'
        'hooks.R' 'knitr.R' 'lattice.R' 'onLoad.R' 'thematic-package.R'
        'thematic-save-plot.R' 'thematic.R' 'utils.R'
        'view-shinytest.R'
NeedsCompilation: no
Packaged: 2023-11-03 23:31:46 UTC; cpsievert
Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
  Barret Schloerke [aut] (<https://orcid.org/0000-0001-9986-114X>),
  Joe Cheng [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Carson Sievert <carson@posit.co>
Repository: CRAN
Date/Publication: 2023-11-04 04:00:02 UTC

=== debian/changelog ===
r-cran-thematic (0.1.4-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Drop unneeded patch

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 21:34:18 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                dh-r,
                r-base-dev,
                r-cran-farver,
+               r-cran-ggplot2,
+               r-cran-rappdirs,
                r-cran-rlang,
-               r-cran-scales,
                r-cran-rstudioapi,
-               r-cran-rappdirs,
-               r-cran-ggplot2 (>= 3.3.0)
-Standards-Version: 4.6.0
+               r-cran-scales
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-thematic
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-thematic.git
 Homepage: https://cran.r-project.org/package=thematic
@@ -22,8 +22,7 @@
 Package: r-cran-thematic
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
-         r-cran-ggplot2 (>= 3.3.5+dfsg-5~)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: unified and automatic theming for GNU R

## r-cran-thematic 0.1.6

=== debian/changelog ===
r-cran-thematic (0.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Sep 2024 14:31:08 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-rlang,
                r-cran-rstudioapi,
                r-cran-scales
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-thematic
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-thematic.git
 Homepage: https://cran.r-project.org/package=thematic

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bslib,
        r-cran-cairo,
        r-cran-curl,
        r-cran-gganimate,
        r-cran-htmltools,
        r-cran-jsonlite,
        r-cran-knitr,
        r-cran-lattice,
        r-cran-ragg,
        r-cran-rmarkdown,
        r-cran-shiny (>= 1.5.0),
        r-cran-svglite,
        r-cran-systemfonts,
        r-cran-testthat,
        r-cran-vdiffr (>= 1.0.0),
        r-cran-withr
Restrictions: allow-stderr

## r-cran-thematic 0.1.8

=== debian/changelog ===
r-cran-thematic (0.1.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 11 Feb 2026 20:58:38 +0900

=== debian/control ===
Source: r-cran-thematic
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-farver,
 r-cran-ggplot2 (>= 3.5.2),
 r-cran-rappdirs,
 r-cran-rlang,
 r-cran-rstudioapi,
 r-cran-scales,
 r-cran-ggplot2,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-thematic
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-thematic.git
Homepage: https://cran.r-project.org/package=thematic
Rules-Requires-Root: no

Package: r-cran-thematic
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: unified and automatic theming for GNU R
 This package provides unified and automatic 'Theming' of 'ggplot2',
 'lattice', and 'base' R Graphics Theme 'ggplot2', 'lattice', and 'base'
 graphics based on a few choices, including foreground color, background
 color, accent color, and font family. Fonts that aren't available on the
 system, but are available via download on 'Google Fonts', can be
 automatically downloaded, cached, and registered for use with the
 'showtext' and 'ragg' packages.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-bslib,
 r-cran-cairo,
 r-cran-curl,
 r-cran-gganimate,
 r-cran-htmltools,
 r-cran-jsonlite,
 r-cran-knitr,
 r-cran-lattice,
 r-cran-ragg,
 r-cran-rmarkdown,
 r-cran-shiny (>= 1.5.0),
 r-cran-svglite,
 r-cran-systemfonts,
 r-cran-testthat,
 r-cran-vdiffr (>= 1.0.0),
 r-cran-withr,
